## vite 1.2+svn+git3.e296d20

=== debian/changelog ===
vite (1.2+svn+git3.e296d20-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #888795)
  * control: Fix VCS URLs.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * rules: Disable VBO for now.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Mar 2018 17:29:30 +0100

vite (1.2+svn+git2.ea4d767-1) experimental; urgency=medium

  * New upstream snapshot.
  * control: Bump Standards-Version to 4.1.0 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2017 13:37:26 +0200

vite (1.2+svn+git1.2afd42c-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/stats-crash: Remove, merged upstream.
    - patches/gl: Remove, now useless.
    - control: Build-Depend on libglm-dev, libglew-dev.
    - rules: Make sure we use Qt5.
  * control: Bump Standards-Version to 4.0.1 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 16:45:03 +0200

vite (1.2+svn1430-5) unstable; urgency=medium

  * control: Add missing build-dep to get GL/glu.h, fixes build on arm.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:59:06 +0100

vite (1.2+svn1430-4) unstable; urgency=medium

  * compat: Bump to 9.
  * control:
    - Bump debhelper version.
    - Drop hardening-wrapper Build-Depend.
    - Switch to qt5.
  * patches/stats-crash: New patch to fix crash on stats.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 16:56:43 +0100
