=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON \
		-DVITE_ENABLE_VBO=OFF \
		-DUSE_QT5=ON

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	-rm -f $(shell cat debian/toclean)
	dh_auto_clean
