=== externals/tau/include/Makefile ===
#****************************************************************************
#*			TAU Portable Profiling Package			   **
#*			http://www.cs.uoregon.edu/research/tau	           **
#****************************************************************************
#*    Copyright 1997-2002        				   	   **
#*    Department of Computer and Information Science, University of Oregon **
#*    Advanced Computing Laboratory, Los Alamos National Laboratory        **
#****************************************************************************
#######################################################################
##                  pC++/Sage++  Copyright (C) 1993,1995             ##
##  Indiana University  University of Oregon  University of Rennes   ##
#######################################################################
 
#######################################################################
# This is a sample Makefile that contains the Profiling and Tracing 
# options. Makefiles of other applications and libraries (not included 
# in this distribution) should include this Makefile.
# It defines the following variables that should be added to CFLAGS
# TAU_INCLUDE  	-  Include path for tau headers
# TAU_DEFS      -  Defines that are needed for tracing and profiling only.
# And for linking add to LIBS 
# TAU_LIBS	-  TAU Tracing and Profiling library libprof.a 
# 
# When the user needs to turn off tracing and profiling and run the 
# application without any runtime overhead of instrumentation, simply
# remove TAUDEFS and TAULIBS from CFLAGS and LIBS respectively but keep
# TAUINC.
#######################################################################

########### Automatically modified by the configure script ############
CONFIG_ARCH=x86_64
TAU_ARCH=x86_64
CONFIG_CC=gcc
CONFIG_CXX=g++
TAU_CC_FE=$(CONFIG_CC)
TAU_CXX_FE=$(CONFIG_CXX)

# Front end C/C++ Compilers
#BGL#TAU_CC_FE=gcc #ENDIF#
#BGL#TAU_CXX_FE=g++ #ENDIF#
#BGP#TAU_CC_FE=gcc #ENDIF#
#BGP#TAU_CXX_FE=g++ #ENDIF#
#CATAMOUNT#TAU_CC_FE=gcc #ENDIF#
#CATAMOUNT#TAU_CXX_FE=g++ #ENDIF#
#CRAYCNL#TAU_CC_FE=gcc #ENDIF#
#CRAYCNL#TAU_CXX_FE=g++ #ENDIF#
#CRAYXMT#TAU_CC_FE=/usr/bin/gcc #ENDIF#
#CRAYXMT#TAU_CXX_FE=/usr/bin/g++ #ENDIF#
##SC_GFORTRAN#TAU_CC_FE=gcc #ENDIF#
##SC_GFORTRAN#TAU_CXX_FE=g++ #ENDIF#
##SC_PATHSCALE#TAU_CC_FE=gcc #ENDIF#
##SC_PATHSCALE#TAU_CXX_FE=g++ #ENDIF#


USER_OPT=-g -O2
EXTRADIR=
EXTRADIRCXX=
TAUROOT=$(PWD)/../..
TULIPDIR=
TAUEXTRASHLIBOPTS=
TAUGCCLIBOPTS=
TAUGCCLIBDIR=/usr/lib/gcc/x86_64-linux-gnu/4.4.3/
IFORTLIBDIR=
PERFSUITELINK=
TAUGFORTRANLIBDIR=
PAPIDIR=
PAPISUBDIR=
CHARMDIR=
PDTDIR=
PDTCOMPDIR=
DYNINSTDIR=
JDKDIR=
OPARIDIR=
EPILOGDIR=
EPILOGBINDIR=
EPILOGINCDIR=
EPILOGLIBDIR=
EPILOGEXTRALINKCMD=
SICORTEXLINK=
VAMPIRTRACEDIR=
VAMPIRTRACEINCS=
VAMPIRTRACELIBS=
VAMPIRTRACEMPILIBS=
SCOREPDIR=
SCOREPINCS=
SCOREPLIBS=
SCOREPMPILIBS=
KTAU_INCDIR=
KTAU_INCUSERDIR=
KTAU_LIB=
KTAU_KALLSYMS_PATH=/proc/kallsyms
PYTHON_INCDIR=
PYTHON_LIBDIR=
PERFINCDIR=
PERFLIBDIR=
PERFLIBRARY=
UPCNETWORK=
TAU_SHMEM_INC=
TAU_SHMEM_LIB=
TAU_CONFIG=
TAU_MPI_INC=
TAU_MPI_LIB=
TAU_MPI_FLIB=
TAU_MPILIB_DIR=
TAU_MPI_NOWRAP_LIB=
TAU_MPI_NOWRAP_FLIB=
FULL_CXX=/usr/bin/g++
FULL_CC=/usr/bin/gcc
TAU_PREFIX_INSTALL_DIR=$(PWD)/../..

TAU_BIN_DIR=$(TAU_PREFIX_INSTALL_DIR)/$(CONFIG_ARCH)/bin
TAU_INC_DIR=$(TAU_PREFIX_INSTALL_DIR)/include
TAU_LIB_DIR=$(TAU_PREFIX_INSTALL_DIR)/$(CONFIG_ARCH)/lib

#######################################################################

#OPARI#TAU_OPARI_TOOL=$(TAU_BIN_DIR)/opari        #ENDIF#
#ENABLE64BIT#ABI 	     = -mabi=64		  #ENDIF#
#ENABLEN32BIT#ABI 	     = -mabi=n32	  #ENDIF#
#ENABLE32BIT#ABI 	     = -mabi=32		  #ENDIF#

#######################################################################
#SP1#IBM_XLC_ABI	     = -q32 		  #ENDIF#
#SP1#IBM_GNU_ABI	     = -maix32 		  #ENDIF#
#IBM64#IBM_XLC_ABI	     = -q64 		  #ENDIF#
#IBM64#IBM_GNU_ABI	     = -maix64 		  #ENDIF#
#IBM64LINUX#IBM_XLC_ABI	     = -q64 		  #ENDIF#
#IBM64LINUX#IBM_GNU_ABI	     = -m64 		  #ENDIF#
#SUNX86_64#SUN_GNU_ABI       = -m64		  #ENDIF#
#SUNX86_64#SUN_CC_ABI        = -xarch=amd64       #ENDIF#
#MIPS32LINUX#SC_GNU_ABI	     = -mabi=n32 	  #ENDIF#
#MIPS32LINUX#SC_PATH_ABI     = -mabi=n32          #ENDIF#
#MIPS64LINUX#SC_GNU_ABI	     = -mabi=64 	  #ENDIF#
#MIPS64LINUX#SC_PATH_ABI     = -mabi=64           #ENDIF#
SC_ABI     	     = $(SC_GNU_ABI) 	  #ENDIF##GNU#
#USE_PATHCC#SC_ABI     	     = $(SC_PATH_ABI) 	  #ENDIF#
#MIPS32#ABI                  = $(SC_ABI) 	  #ENDIF#
#MIPS64#ABI                  = $(SC_ABI) 	  #ENDIF#

#USE_IBMXLC#IBM_ABI    	     = $(IBM_XLC_ABI) 	  #ENDIF#
IBM_ABI	     	     = $(IBM_GNU_ABI) 	  #ENDIF##GNU#
#SP1# ABI		     = $(IBM_ABI)	  #ENDIF#
#PPC64# ABI		     = $(IBM_ABI)	  #ENDIF#
#SOLARIS64#SUN_GNU_ABI	     = -mcpu=v9 -m64	  #ENDIF#
#SOLARIS64#SUN_CC_ABI	     = -xarch=v9 -xcode=pic32	  #ENDIF#
#SOL2CC#SUN_ABI	     	     = $(SUN_CC_ABI)	  #ENDIF#
SUN_ABI	     	     = $(SUN_GNU_ABI)	  #ENDIF##GNU#
#SOL2#ABI	     	     = $(SUN_ABI)	  #ENDIF#
#SUNX86_64#ABI		     = $(SUN_ABI)	  #ENDIF#
#FORCEIA32#ABI               = -m32#ENDIF#
#######################################################################
F90_ABI	= $(ABI) 
#IBM64_FORTRAN#F90_ABI	     = -q64 		  #ENDIF#
#######################################################################

#UPCC#TAU_UPCC= upcc "-inst-toolname=gasp-tau" -inst -network=$(UPCNETWORK) #ENDIF#

#UPCC#TAU_GASP_O=TauGASP.o #ENDIF#
#UPCC#TAU_GASPU_O=TauGASPU.o #ENDIF#
############# Standard Defines ##############
TAU_CC = $(CONFIG_CC) $(ABI) $(ISA)
TAU_CXX = $(CONFIG_CXX) $(ABI) $(ISA)
TAU_RUN_CC = $(FULL_CC) $(ABI) $(ISA)
#UPCC#TAU_RUN_CC = $(TAU_UPCC) #ENDIF#
TAU_RUN_CXX = $(FULL_CXX) $(ABI) $(ISA)
TAU_INSTALL = /bin/cp
TAU_SHELL = /bin/sh
LSX = .a
#############################################
# JAVA DEFAULT ARCH 
#############################################
JDKARCH                 = linux
#COMPAQ_ALPHA#JDKARCH   = alpha      #ENDIF#
#SOL2#JDKARCH           = solaris    #ENDIF#
#SGIMP#JDKARCH          = irix       #ENDIF#
#SP1#JDKARCH            = aix        #ENDIF#
#T3E#JDKARCH            = cray       #ENDIF#
#############################################
# JAVA OBJECTS
#############################################
#JAVA#TAU_JAVA_O 	= TauJava.o TauJAPI.o  #ENDIF#
#JAVA#TAUJAPI 	= Profile.class        #ENDIF#


#############################################
# OpenMP OBJECTS
#############################################
#OPENMP#OPENMP_O 	= OpenMPLayer.o #ENDIF#

#############################################
# Opari OBJECTS
#############################################
OPARI_O 	= TauKojakOpariDisable.o #ENDIF#
#OPARI#OPARI_O 	= TauOpari.o #ENDIF#
#KOJAKOPARI#OPARI_O 	= TauKojakOpari.o #ENDIF#
#EPILOG#OPARI_O 	=  #ENDIF#
#VAMPIRTRACE#OPARI_O 	=  #ENDIF#

#############################################
# CallPath OBJECTS
#############################################
#PROFILEPARAM#PARAM_O  = ProfileParam.o #ENDIF#


#############################################
# DYNINST DEFAULT ARCH
#############################################
DYNINST_PLATFORM 	= $(PLATFORM)


############# OpenMP Fortran Option ########
#OPENMP#TAU_F90_OPT = -mp                   #ENDIF#
#SOL2CC_OPENMP#TAU_F90_OPT = -xopenmp       #ENDIF#
#SUNCC_OPENMP#TAU_F90_OPT = -xopenmp=parallel       #ENDIF#
#COMPAQCXX_OPENMP#TAU_F90_OPT = -omp        #ENDIF#
#IBMXLC_OPENMP#TAU_F90_OPT = -qsmp=omp -qthreaded   #ENDIF#
#GUIDE#TAU_F90_OPT =                        #ENDIF#
#PGIOPENMP#TAU_F90_OPT = -mp                #ENDIF#
#INTELOPENMP#TAU_F90_OPT = -openmp          #ENDIF#
#HITACHI_OPENMP#TAU_F90_OPT =               #ENDIF#
#GNUOPENMP#TAU_F90_OPT = -fopenmp          #ENDIF#

#ZEPTO_GFORTRAN#TAU_F90_OPT = -fno-underscoring     #ENDIF#

#THREADSAFE_COMPILERS#TAU_R         =_r     #ENDIF#

############# Fortran Compiler #############
#GNU_FORTRAN#TAU_F90         = g77              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#GNU_GFORTRAN#TAU_F90         = gfortran              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#G95_FORTRAN#TAU_F90         = g95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SC_GFORTRAN#TAU_F90         = scgfortran              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SGI_FORTRAN#TAU_F90         = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBM_FORTRAN#TAU_F90         = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP#TAU_F90         = mpixlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP_GFORTRAN#TAU_F90         = mpif90    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGL#TAU_F90         = blrts_xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBM64_FORTRAN#TAU_F90       = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBMXLFAPPLE#TAU_F90       = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAY_FORTRAN#TAU_F90        = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAY_X1_FORTRAN#TAU_F90     = ftn              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PGI_FORTRAN#TAU_F90         = pgf90            $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PGI_CATAMOUNT#TAU_F90         = qk-pgf90         $(F90_ABI) $(TAU_F90_OPT) #ENDIF#
#CATAMOUNT#TAU_F90         = ftn         $(F90_ABI) $(TAU_F90_OPT) #ENDIF#
#ABSOFT_FORTRAN#TAU_F90      = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#LAHEY_FORTRAN#TAU_F90      = lf95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#LAHEY64_FORTRAN#TAU_F90      = lf95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#NAGWARE_FORTRAN#TAU_F90      = f95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#FUJITSU_FORTRAN#TAU_F90     = F90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#FUJITSU_SOLARIS#TAU_F90     = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SUN_FORTRAN#TAU_F90         = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#COMPAQ_FORTRAN#TAU_F90      = f90              $(F90_ABI)  $(TAU_F90_OPT)  #ENDIF#
#KAI_FORTRAN#TAU_F90         = guidef90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#HP_FORTRAN#TAU_F90          = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#HITACHI_FORTRAN#TAU_F90     = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTEL_FORTRAN#TAU_F90       = efc 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTEL32_FORTRAN#TAU_F90     = ifc 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTELIFORT#TAU_F90     = ifort 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PATHSCALE_FORTRAN#TAU_F90     = pathf90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SC_PATHSCALE#TAU_F90     = scpathf95         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#OPEN64ORC_FORTRAN#TAU_F90     = orf90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#NEC_FORTRAN#TAU_F90         = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAYCNL#TAU_F90         = ftn            $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#ZEPTO_GFORTRAN#TAU_F90         = /bgsys/drivers/ppcfloor/gnu-linux/bin/powerpc-bgp-linux-gfortran    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#

TAU_F77 = $(TAU_F90)
#IBM_FORTRAN#TAU_F77         = xlf$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP#TAU_F77         = mpixlf77_r    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#



############# Portable F90 Options #############
#IBM64_FORTRAN#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBM_FORTRAN#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBM_FORTRAN#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#
#IBMXLFAPPLE#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBMXLFAPPLE#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#
#IBM64_FORTRAN#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#

############# Profiling Options #############
PROFILEOPT1           = -DPROFILING_ON        #ENDIF##PROFILE#
#PAPI#PROFILEOPT3              = -DTAU_PAPI -I$(PAPIDIR)/src -I$(PAPIDIR)/include #ENDIF#
#PAPI#PAPI_O       	       = PapiLayer.o 	       #ENDIF#
#PROFILEOPT4
#PROFILESTATS#PROFILEOPT5      = -DPROFILE_STATS       #ENDIF#
#DEBUGPROF#PROFILEOPT6         = -DDEBUG_PROF          #ENDIF#
#STDCXXLIB#PROFILEOPT7         = -DTAU_STDCXXLIB       #ENDIF#
#CRAYX1CC#PROFILEOPT7          = #ENDIF#
#CRAYCC#PROFILEOPT7            = #ENDIF#
#INTELTFLOP#PROFILEOPT8        = -DPOOMA_TFLOP         #ENDIF#
