=== debian/changelog ===
vite (1.2+svn+git4.c6c0ce7-5) unstable; urgency=medium

  * control: Build-depend on libotf2-trace-dev.
  * rules: Set -DVITE_ENABLE_OTF2=ON.
  * patches/otf2-3: Fix build against otf2 3.0.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Aug 2022 20:14:52 +0200

vite (1.2+svn+git4.c6c0ce7-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Fix using CPPFLAGS by cmake, until #653916 is fixed.
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:36:33 +0100

vite (1.2+svn+git4.c6c0ce7-3) unstable; urgency=medium

  * control: Update packaging URL.
  * rules: Set reproducible=+fixfilepath.
  * patches/reproducibility: Fix reproducibility against timezones.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:22:17 +0100

vite (1.2+svn+git4.c6c0ce7-2) unstable; urgency=medium

  * control: Fix Vcs URLs.
  * rules,clean: Use dh_clean instead of a toclean file.
  * patches/reproducibility: Set the help dialog date to the Debian packaging
    date.
  * rules: Force latex to use the packaging date.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 01:52:25 +0100

vite (1.2+svn+git4.c6c0ce7-1) unstable; urgency=medium

  * New upstream snapshot
    - patches/fieldnames: Upstreamed.
    - control: Add libqt5charts5-dev and libqt5svg5-dev build dependencies.
  * control: Use https URL for Vcs-Browser.
  * control: Bump Standards-Version to 4.5.0.
  * control: Bump debhelper compat to 12.
    - rules: Remove now-spurious --parallel.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Oct 2020 18:21:41 +0200

vite (1.2+svn1430-7) unstable; urgency=medium

  * patches/fieldnames: Cherry-pick upstream fix for unbound number of field
    names.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Apr 2020 17:42:48 +0200

vite (1.2+svn1430-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.0.1 (no change).
  * control: Build-depend on libqt5opengl5-desktop-dev instead of
    libqt5opengl5-dev, so we don't try to build on armel/amrhf which don't
    have the support for it (Closes: Bug#884314)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 20:00:53 +0100
