=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 13),
  cmake,
- qttools5-dev, libqt5opengl5-dev, libglm-dev, libglew-dev,
+ qttools5-dev,
+ libqt5opengl5-desktop-dev, libqt5charts5-dev, libqt5svg5-dev,
+ libglm-dev, libglew-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
+ libotf2-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: https://gitlab.inria.fr/solverstack/vite
-Vcs-Git: https://gitlab.inria.fr/solverstack/vite.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://vite.gforge.inria.fr/
+Vcs-Browser: https://salsa.debian.org/debian/vite
+Vcs-Git: https://salsa.debian.org/debian/vite.git
 
 Package: vite
 Architecture: any
